#include "chdecl.h"
void CH_profsum_itoa(current, sched, cop)
#define ARGUMENTS 5
#include "chhead.h"
select: switch (SELECTOR) {
    case 0: goto c0;
    case 1: goto cb1;
    case 2: goto c2;
    case 3: goto c14;
    case 4: goto c42;  }
c0:
/* block , 0 */
  if((ch_returncode = che_block(QUAL(0),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 1;
cb1:
/* receive 3 0 */
  if ((ch_returncode = che_receive(DEF(3),DEF(0),sched)) != Normal)
     goto ch_raise_exception;
  return;
c2:
/* new_table 3.1 , 1 */
  if ((ch_returncode = che_new_table(DEF(3)DOT(1),QUAL(1),sched)) != Normal) 
     goto ch_raise_exception;
/* copy 4 3.0 */
  REF(4) = REF(3)DOT(0);
/* ige . 4 =(0) , 12 */
  if ( REF(4).value.integer >= 0 ) goto c12;
/* inegate 4 4 */
  REF(4).value.integer = -REF(4).value.integer;
  REF(4).tsdr = & dr_integer;
/* boolean 5 , TRUE */
  REF(5).value.boolean = TRUE;
  REF(5).tsdr = & dr_boolean;
/* branch , 14 */
   goto c14;
c12:
/* boolean 5 , FALSE */
  REF(5).value.boolean = FALSE;
  REF(5).tsdr = & dr_boolean;
c14:
/* noop */
  
/* ile . 4 =(0) , 29 */
  if ( REF(4).value.integer <= 0 ) goto c29;
/* imod 6 4 =(10) */
  if (!chf_imod(DEF(6),REF(4).value.integer,10)) goto ch_depletion;
/* iadd 7 =(48) 6 */
  if (!chf_iadd(DEF(7),48,REF(6).value.integer)) goto ch_depletion;
/* icvt_enum 8 7 , 128 */
  if (REF(7).value.integer < 0 || REF(7).value.integer >= 128)
     goto ch_range_error;
  REF(8).value.ord_enum = REF(7).value.integer;
  REF(8).tsdr = & dr_ord_enumeration;
/* insert_at 3.1 8 =(0) */
  if ((ch_returncode = insertfunc(DEF(3)DOT(1),DEF(8),TRUE, 0)) != Normal)
     goto ch_raise_exception;
/* idivide 4 4 =(10) */
  REF(4).value.integer = REF(4).value.integer/10;
  REF(4).tsdr = & dr_integer;
/* branch , 14 */
   goto c14;
c29:
/* size 9 3.1 */
  REF(9).value.integer = REF(3)DOT(1).value.table->size;
  REF(9).tsdr = & dr_integer;
/* notequal . 9 =(0) , 35 */
  if ( REF(9).value.integer != 0 ) goto c35;
/* chs_lit 3.1 , "0" */
  if( !chs_lit(DEF(3)DOT(1),"0") ) goto ch_depletion;
c35:
/* branch_false 5 , 39 */
  if ( !REF(5).value.boolean ) goto c39;
/* ordenum_lit 10 , 45 */
  REF(10).value.ord_enum = 45;
  REF(10).tsdr = & dr_ord_enumeration;
/* insert_at 3.1 10 =(0) */
  if ((ch_returncode = insertfunc(DEF(3)DOT(1),DEF(10),TRUE, 0)) != Normal)
     goto ch_raise_exception;
c39:
/* return 3 */
  if (ch_caller = do_return(REF(3).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(3).value);
  REF(3).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
c42:
/* endprocess */
  che_endprocess(sched); return;
#include "chtail.h"
